# Class SwingTreeMapModel<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>, Row, Column>

java.lang.Object
com.treemap.AbstractTreeMapModel<N,Row,Column,Color,Font>
com.treemap.DefaultTreeMapModel<N,Row,Column,Color,Font>
com.treemap.swing.SwingTreeMapModel<N,Row,Column>

All Implemented Interfaces:
  `TreeMapModel<N,Row,Column,Color,Font>`

public class SwingTreeMapModel<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>, Row, Column> extends DefaultTreeMapModel<N,Row,Column,Color,Font>
Created by luc on 01.05.17.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SwingTreeMapModel.LabelComboBoxModel<N extends MutableTreeMapNode>`

  ### Nested classes/interfaces inherited from class AbstractTreeMapModel

  `AbstractTreeMapModel.Worker`

- ## Field Summary

  ### Fields inherited from class DefaultTreeMapModel

  `dataFrame`

  ### Fields inherited from class AbstractTreeMapModel

  `_settings, colorFactory, colorMapFactory, cpHelper, fontFactory, formatFactory, imageFactory, rootNodes, rowNode`

  ### Fields inherited from interface TreeMapModel

  `PROPERTY_CURRENT_ROOT, PROPERTY_PROGRESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingTreeMapModel(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ComboBoxModel<TreeMapField>`
  `createBackgroundComboBoxModel()`
  `protected ComboBoxModel<TreeMapField>`
  `createColorComboBoxModel()`
  `protected GroupByComboBoxModel`
  `createGroupByComboBoxModel()`
  `protected ComboBoxModel<TreeMapField>`
  `createHeightComboBoxModel()`
  `protected SwingTreeMapModel.LabelComboBoxModel`
  `createLabelComboBoxModel()`
  `protected ComboBoxModel<TreeMapField>`
  `createSizeComboBoxModel()`
  `ComboBoxModel<TreeMapField>`
  `getBackgroundModel()`
  Gets a ComboBox model that can be used to control the background.
  `ComboBoxModel<TreeMapField>`
  `getColorModel()`
  Gets a ComboBox model that can be used to control the color.
  `ComboBoxModel`
  `getGroupByModel()`
  Gets a ComboBox model that can be used to control the group by.
  `ComboBoxModel<TreeMapField>`
  `getHeightModel()`
  Gets a ComboBox model that can be used to control the height.
  `ComboBoxModel`
  `getLabelModel()`
  Gets a ComboBox model that can be used to control the labels.
  `ComboBoxModel<TreeMapField>`
  `getSizeModel()`
  Gets a ComboBox model that can be used to control the size.

  ### Methods inherited from class DefaultTreeMapModel

  `addChild, addChild, columns, createCategoricalColorMap, createDefaultColorMap, createLeafNode, createParentNode, createRootNode, createTreeMapField, doGroupBy, findChild, getChildCount, getChildren, getChildrenOfTypeParent, getColumnClass, getColumnCount, getColumnName, getCushionColor, getCushionImage, getDataFrame, getLabelName, getNode, getNumericMax, getNumericMin, getParent, getRowCount, getTreeMapField, getTreeMapField, getTreeMapFieldByName, getValueAt, isEveryValueUnique, isRoot, setDataFrame, setNumericMax, setNumericMin`

  ### Methods inherited from class AbstractTreeMapModel

  `addListener, breadthFirstIterator, clearAggregationCache, computeSize, computeSizeLeafs, computeSizeParents, computeSumSize, createSettings, depthFirstIterator, doColors, doLayout, doLayoutChildren, fireTableModelChanged, getAggregateValue, getBounds, getCategoricalColorMap, getChildrenGroupByField, getColor, getColorFactory, getColorMap, getColorMap, getColorProvider, getColorTreeMapFields, getCurrentRoot, getCustomColorMap, getFilter, getFormatPattern, getGroupByField, getGroupByTreeMapFields, getHeightTreeMapFields, getHighlighting, getImageFactory, getLabelsTreeMapFields, getLevel, getMaximumSize, getNestedShape, getNode, getNormalizedLightSourceX, getNormalizedLightSourceY, getNormalizedLightSourceZ, getPredefinedColorMap, getProbing, getProperties, getRoot, getSearch, getSelection, getSettings, getShape, getSize, getSizeTreeMapFields, getStringValue, getSumSize, getTooltipTreeMapFields, getTreeMapFields, getTreeMapFields, getTreeMapFields, getTreeMapFields, getViewport, getWorker, getWorkerFuture, hasNoChildren, initDefaults, isDirty, isLeaf, isNumericType, isTemporalType, isVisualType, parentPreorderEnumeration, preorderEnumeration, progressProperty, removeListener, scheduleUpdateColors, scheduleUpdateGroupBy, scheduleUpdateLayout, setColor, setColorProvider, setCurrentRoot, setFormatPattern, setNestedShape, setProgress, setShape, waitUntilReady`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingTreeMapModel

    public SwingTreeMapModel(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame)

- ## Method Details

  - ### getGroupByModel

    public ComboBoxModel getGroupByModel()
    Gets a ComboBox model that can be used to control the group by.
    Returns:
      a ComboBox model linked to the group by setting.

  - ### createGroupByComboBoxModel

    protected GroupByComboBoxModel createGroupByComboBoxModel()

  - ### getLabelModel

    public ComboBoxModel getLabelModel()
    Gets a ComboBox model that can be used to control the labels.
    Returns:
      a ComboBox model linked to the labels setting.

  - ### createLabelComboBoxModel

    protected SwingTreeMapModel.LabelComboBoxModel createLabelComboBoxModel()

  - ### getBackgroundModel

    public ComboBoxModel<TreeMapField> getBackgroundModel()
    Gets a ComboBox model that can be used to control the background.
    Returns:
      a ComboBox model linked to the background setting.

  - ### createBackgroundComboBoxModel

    protected ComboBoxModel<TreeMapField> createBackgroundComboBoxModel()

  - ### getSizeModel

    public ComboBoxModel<TreeMapField> getSizeModel()
    Gets a ComboBox model that can be used to control the size.
    Returns:
      a ComboBox model linked to the size setting.

  - ### createSizeComboBoxModel

    protected ComboBoxModel<TreeMapField> createSizeComboBoxModel()

  - ### getHeightModel

    public ComboBoxModel<TreeMapField> getHeightModel()
    Gets a ComboBox model that can be used to control the height.
    Returns:
      a ComboBox model linked to the height setting.

  - ### createHeightComboBoxModel

    protected ComboBoxModel<TreeMapField> createHeightComboBoxModel()

  - ### getColorModel

    public ComboBoxModel<TreeMapField> getColorModel()
    Gets a ComboBox model that can be used to control the color.
    Returns:
      a ComboBox model linked to the color setting.

  - ### createColorComboBoxModel

    protected ComboBoxModel<TreeMapField> createColorComboBoxModel()